/**
***     Copyright (C) 2003 - 2008 SophiaCradle, Inc.
***     All rights reserved.
**/

#include <SophiaFramework.hpp>

SFMTYPEDEFCLASS(Graphix)
class Graphix : public SFCApplication {
    private:
        SFBGraphicsSmp          graphics;

    public:
        static  SFCInvokerPtr   Factory                     (Void);
    private:
                                Graphix                     (Void);
        virtual                 ~Graphix                    (Void);
        virtual Bool            HandleEvent                 (SFXEventConstRef event);
        virtual Bool            HandleRender                (SFXEventConstRef event);
                Bool            OnAppStart                  (Void);
                Bool            OnAppStop                   (Void);
                Bool            OnAppResume                 (Void);
                Bool            OnAppSuspend                (Void);
                Bool            OnAppKey                    (UInt16 key);
                Void            ClipRectUseSFBGraphics      (Void);
                Void            ClipCircleUseSFBGraphics    (Void);
                Void            ClipRectUseSFBDisplay       (Void);
                Void            UseSFBGraphicsAndSFBDisplay (Void);
                Void            TranslateUseSFBGraphics     (Void);
                Void            TransformSimple             (Void);
                Void            TransformComplex            (Void);
                Void            ClearScreen                 (Void);
};
